name: Deploy website

on:
  push:
    branches: [main]
    paths-ignore:
      - 'README.md'  # Ignore changes to README.md

jobs:
  build-and-deploy:
    runs-on: host
    steps:
      - name: Checkout repository
        uses: actions/checkout@v4
      - name: Run docker-compose 
        run: docker compose up -d --build
